#pragma once

class CIntervalTimer
{
public:
	CIntervalTimer(int interval=1000);
	virtual ~CIntervalTimer(void);
	
	void Reset();
	int IsTimeout();
	operator int();

	void SetInterval(int interval);
	int GetLeftTime();

protected:
	int		m_interval;
	DWORD	m_oldTick;
};


class CSaftyTimer
{
public:
	CSaftyTimer(int defaultTick=5000);
	int CheckAttack(int tick=0);
	void SetInterval(int interval);
	void WaitTimeout();

protected:
	int		m_defaultTick;
	DWORD	m_oldTick;
};